package com.mosty.base.manager.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.dto.jcgl.TbJcglPzfzDto;
import com.mosty.base.model.entity.jcgl.TbJcglPzfz;
import io.swagger.annotations.ApiOperation;

import java.util.List;
import java.util.Map;

public interface TbJcglPzfzService {

    @ApiOperation("查询配置分值列表")
    IPage<Map<String, Object>> getPageList(TbJcglPzfzDto dto);

    @ApiOperation("添加配置分值")
    int addEntity(TbJcglPzfzDto dto);

    @ApiOperation("删除配置分值")
    int deleteEntity(String id);

    @ApiOperation("修改配置分值")
    int editEntity(TbJcglPzfzDto dto);

    @ApiOperation("查询配置分值详情")
    TbJcglPzfz getInfo(String pzlx);

    @ApiOperation("查询配置分值列表(无条件)")
    List<TbJcglPzfz> getPageListWtj();
}
